---
- name: install or upgrade mirror quay
  include_tasks:
    file: install.yml
    apply:
      tags:
      - install
  tags:
  - install
  when:
  - mirror_registry_install

- name: Download oc-mirror tool
  include_tasks:
    file: download_sync.yaml
    apply:
      tags:
      - sync
      - download
  tags:
  - sync
  - download

- name: Login to upstream mirror
  include_tasks:
    file: mirror_registry_login.yaml
    apply:
      tags:
      - mirror_login
  tags:
  - mirror_login

- name: Sync content
  include_tasks:
    file: sync.yml
    apply:
      tags:
      - sync
  tags:
  - sync

- name: Process results
  include_tasks:
    file: process_results.yml
    apply:
      tags:
      - process_results
  tags:
  - process_results
